astro py:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- Astropy v0.3 »
- Models And Fitting (`astropy.modeling`) »
- LogParabola1D

# LogParabola1D

class `astropy.modeling.powerlaws.``LogParabola1D`(amplitude, x_0, alpha, beta, **constraints)

  Bases: `astropy.modeling.core.Parametric1DModel`

  One dimensional log parabola model (sometimes called curved power law).

  Parameters:

  amplitude : float

  > Model amplitude

  x_0 : float

  > Reference point

  alpha : float

  > Power law index

  beta : float

  > Power law curvature

  See also

  `PowerLaw1D`, `BrokenPowerLaw1D`, `ExponentialCutoffPowerLaw1D`

  Notes

  Model formula (with A for `amplitude` and \alpha for `alpha` and \beta for `beta`):

  > f(x) = A \left(\frac{x}{x_{0}}\right)^{- \alpha - \beta \log{\left (\frac{x}{x_{0}} \right )}}

  Attributes Summary

  `alpha` |
  `amplitude` |
  `beta` |
  `param_names` | list() -> new empty list
  `x_0` |

  Methods Summary

  `deriv`(x, amplitude, x_0, alpha, beta) | One dimensional log parabola derivative
  `eval`(x, amplitude, x_0, alpha, beta) | One dimenional log parabola model function

  Attributes Documentation

  `alpha`
  `amplitude`
  `beta`
  `param_names` = ['amplitude', 'x_0', 'alpha', 'beta']
  `x_0`

  Methods Documentation

  static `deriv`(x, amplitude, x_0, alpha, beta)

    One dimensional log parabola derivative

  static `eval`(x, amplitude, x_0, alpha, beta)

    One dimenional log parabola model function